> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.sign.plus/llms.txt
> Use this file to discover all available pages before exploring further.

# Get envelope attachment file



## OpenAPI

````yaml get /envelope/{envelope_id}/attachments/{file_id}
openapi: 3.0.0
info:
  title: Sign.plus Developer API v2
  description: Integrate legally-binding electronic signature to your workflow
  version: 2.8.0
  contact:
    name: Sign.Plus
    url: https://sign.plus
    email: support@alohi.com
servers:
  - url: https://restapi.sign.plus/v2
    description: Sign.Plus API - Production
security: []
tags:
  - name: signplus
    description: Sign.plus API
paths:
  /envelope/{envelope_id}/attachments/{file_id}:
    get:
      tags:
        - signplus
      summary: Get envelope attachment file
      operationId: get_attachment_file
      parameters:
        - in: path
          name: envelope_id
          required: true
          schema:
            type: string
        - in: path
          name: file_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Attachment file retrieved successfully
          content:
            application/octet-stream:
              schema:
                type: string
                format: binary
      security:
        - BearerAuth:
            - SIGN_ALL_READ
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````